summaryrefslogtreecommitdiffstats
path: root/source/ap/groff
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/groff')
-rw-r--r--source/ap/groff/0006-Revert-upstream-change-of-mapping-special-characters.patch76
-rwxr-xr-xsource/ap/groff/groff.SlackBuild8
2 files changed, 82 insertions, 2 deletions
diff --git a/source/ap/groff/0006-Revert-upstream-change-of-mapping-special-characters.patch b/source/ap/groff/0006-Revert-upstream-change-of-mapping-special-characters.patch
new file mode 100644
index 000000000..66b6bd450
--- /dev/null
+++ b/source/ap/groff/0006-Revert-upstream-change-of-mapping-special-characters.patch
@@ -0,0 +1,76 @@
+https://src.fedoraproject.org/rpms/groff/raw/rawhide/f/0006-Revert-upstream-change-of-mapping-special-characters.patch
+
+From f4f76740ad4693cb967801e366f1d6410381dd71 Mon Sep 17 00:00:00 2001
+From: groff owner <groff-owner@fedoraproject.org>
+Date: Thu, 2 Nov 2023 13:09:37 +0000
+Subject: [PATCH] Revert upstream change of mapping special characters for
+ UTF-8
+
+Adopt Debian decision: https://salsa.debian.org/debian/groff/-/commit/d5394c68d70e6c5199b01d2522e094c8fd52e64e
+---
+ tmac/man.local | 16 ++++++++++++++++
+ tmac/mdoc.local | 17 ++++++++++++++++-
+ 2 files changed, 32 insertions(+), 1 deletion(-)
+
+diff --git a/tmac/man.local b/tmac/man.local
+index 5daa507..4bed937 100644
+--- a/tmac/man.local
++++ b/tmac/man.local
+@@ -2,6 +2,22 @@
+ .\"
+ .\" Put local modifications to groff_man(7)'s behavior here.
+ .\"
++.\" Adopting Debian's decision to preserve old mapping for UTF-8
++.\" Debian: As of groff 1.23.0, the "-", "'", "`", "^", and "~" input
++.\" characters are mapped to non-Basic Latin code points in output from
++.\" the "utf8" device, for consistency with other output devices such as
++.\" PDF. Unfortunately in practice this still causes far too much
++.\" disruption for innocent users of manual pages who just want to be able
++.\" to search for characters normally, so preserve the old behaviour.
++.\" Comment this out if you want to make sure that manual pages you're
++.\" writing are clear of these problems.
++.if '\*[.T]'utf8' \{\
++. char - \-
++. char ' \[aq]
++. char ` \[ga]
++. char ^ \[ha]
++. char ~ \[ti]
++.\}
+ .\" Change "0" to "1" to enable OSC 8 links on SGR-capable grotty(1)
+ .\" output devices.
+ .if !'\*[.T]'html' \
+diff --git a/tmac/mdoc.local b/tmac/mdoc.local
+index 94688ab..1bb47d6 100644
+--- a/tmac/mdoc.local
++++ b/tmac/mdoc.local
+@@ -2,6 +2,22 @@
+ .\"
+ .\" Put local modifications to groff_mdoc(7)'s behavior here.
+ .\"
++.\" Adopting Debian's decision to preserve old mapping for UTF-8
++.\" Debian: As of groff 1.23.0, the "-", "'", "`", "^", and "~" input
++.\" characters are mapped to non-Basic Latin code points in output from
++.\" the "utf8" device, for consistency with other output devices such as
++.\" PDF. Unfortunately in practice this still causes far too much
++.\" disruption for innocent users of manual pages who just want to be able
++.\" to search for characters normally, so preserve the old behaviour.
++.\" Comment this out if you want to make sure that manual pages you're
++.\" writing are clear of these problems.
++.if '\*[.T]'utf8' \{\
++. char - \-
++. char ' \[aq]
++. char ` \[ga]
++. char ^ \[ha]
++. char ~ \[ti]
++.\}
+ .\" "CW" is not a portable font name, but some man pages use it anyway.
+ .\" Uncomment this to suppress warnings produced by such pages. This
+ .\" test remaps the font to roman ("R") on nroff (terminal) devices. You
+@@ -12,4 +28,3 @@
+ .\" mode: nroff
+ .\" fill-column: 72
+ .\" End:
+-.\" vim: set filetype=groff textwidth=72:
+--
+2.41.0
+
diff --git a/source/ap/groff/groff.SlackBuild b/source/ap/groff/groff.SlackBuild
index b67eff1e6..ae3d40735 100755
--- a/source/ap/groff/groff.SlackBuild
+++ b/source/ap/groff/groff.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2005-2008, 2009, 2010, 2011, 2016, 2018, 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2011, 2016, 2018, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=groff
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -80,6 +80,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Map special characters to enable unescaped hyphens and other characters
+# in man pages:
+zcat $CWD/0006-Revert-upstream-change-of-mapping-special-characters.patch.gz | patch --verbose -p1 || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \